
QGIS Application - Bug report #2268

raster issues at very high scales

2009-12-11 10:43 AM - dr -

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12328

Description

1. Open raster layer

2. Scale dependent visibility: Minimum=1, Maximum=3[[BR]

]

3. At the status bar set 1:2 scale.

At result raster layer is not displayed.

History

#1 - 2009-12-12 04:12 PM - Giovanni Manghi

I tested this and other raster files (also in other formats) under linux and the scale dependent visibility seems to work.

Nevertheless when trying to push the zoom to very low scales (more or less under 1:60, with the scale dependent visibility on or off), qgis starts doing a lot

of disk activity, freezes, and eventually crashes (seg fault).

For some reason seems that setting the 1:2 scale (for whatever reasons you may want such scale) directly in the status bar it never works, regardless if

scale dependent visibility is on or off.

#2 - 2009-12-12 04:17 PM - Giovanni Manghi

sorry, in the above comment I meant to say "very high scales".

#3 - 2010-01-18 12:25 PM - ersts -

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:4cafb1a5 (SVN r12794)
http://gis-lab.info/share/modis.zip

